﻿namespace Quik
{
    /// <summary>
    /// An object which QUIK commands may be issued to.
    /// </summary>
    public class QuikContext
    {
        /// <summary>
        /// Draw queue.
        /// </summary>
        public QuikDraw Draw { get; } = new QuikDraw();

        public QuikStrokeStyle DefaultStroke { get; set; } = new QuikStrokeStyle(new QuikColor(0x000000FF), 4);

        public QuikFillStyle DefaultFill { get; set; } = new QuikFillStyle()
        {
            Color = new QuikColor(0x101010FF)
        };
    }
}